<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_ca8856aa9ac8f3094747f3fffa" . "d932c0" => base64_decode("dmFy" . "aWFi" . "bGUg"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_ca8856aa9ac8f3" . "094747f3fffad93" . "2c0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}